> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md).

# Condition configuration details

You can add or update conditions through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Business rules](/reference/settings/data-governance/business-rules.md) > [Conditions](/reference/settings/data-governance/business-rules/business-rule-details/conditions.md).

### Has internal id

| Internal id | Internal id that must be matched for the condition to yield true. |
| ----------- | ----------------------------------------------------------------- |

### Has permission

| Permission | A permission the user must have to satisfy this condition. |
| ---------- | ---------------------------------------------------------- |

### Is classified in category

| Category | A category, where the entity must be placed either directly in or in one of its sub categories. |
| -------- | ----------------------------------------------------------------------------------------------- |

### Is using product structure

| Product structure | The product structure which the entity must belong to. |
| ----------------- | ------------------------------------------------------ |

### X attribute value condition

| Attribute      | The attribute which shall have a specific value.                                                   |
| -------------- | -------------------------------------------------------------------------------------------------- |
| Criteria type  | The type of criteria you want to use.                                                              |
| Value to match | The value that must be matched for the condition to yield true (leave empty to match empty value). |

### Has enrichment insight value

| Enrichment insight | The enrichment insight to base condition on.                                             |
| ------------------ | ---------------------------------------------------------------------------------------- |
| Value shall be     | What the value of the selected enrichment insight shall be for the condition to be true. |

### Has archive status

| Archive status | The archive status that entities must match.                |
| -------------- | ----------------------------------------------------------- |
| Archive reason | Select if there must be a specific archive reason selected. |

### Is in workflow state

| Workflow state | The workflow state which entities must match. |
| -------------- | --------------------------------------------- |

### Is in catalogue

| Catalogue | The catalogue in which the category must be placed. |
| --------- | --------------------------------------------------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
